List Suites

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /unit-tests
  • /suites

Get all unit test suites for a project

Request

REQUIRED SCOPES
UNIT_TEST_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
suitesShortUnitTestSuiteView[]

Last modified on Apr 22, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/unit-tests/suites" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites",
  "suites": [
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v",
      "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v",
      "id": "65OmRb8v",
      "name": "Backend Integration Tests",
      "identifier": "backend-tests"
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/ajnGBdJr",
      "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/ajnGBdJr",
      "id": "ajnGBdJr",
      "name": "Frontend Unit Tests",
      "identifier": "frontend-tests"
    }
  ]
}
STATUS
200 OK